Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui.actions
Class SelectionDispatchAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.jdt.ui.actions.SelectionDispatchAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

Direct Known Subclasses:
  AddDelegateMethodsAction, AddGetterSetterAction, AddJavaDocStubAction, AddToClasspathAction, AddUnimplementedConstructorsAction, ChangeTypeAction, ConvertAnonymousToNestedAction, ConvertLocalToFieldAction, ConvertNestedToTopAction, ExternalizeStringsAction, ExtractConstantAction, ExtractInterfaceAction, ExtractMethodAction, ExtractTempAction, FindAction, FindOccurrencesInFileAction, FindStringsToExternalizeAction, FormatAllAction, GenerateNewConstructorUsingFieldsAction, InlineAction, InlineTempAction, IntroduceFactoryAction, IntroduceParameterAction, ModifyParametersAction, MoveAction, OpenAction, OpenExternalJavadocAction, OpenProjectAction, OpenSuperImplementationAction, OpenTypeHierarchyAction, OrganizeImportsAction, OverrideMethodsAction, PullUpAction, PushDownAction, RefreshAction, RemoveFromClasspathAction, RenameAction, SelfEncapsulateFieldAction, ShowInNavigatorViewAction, ShowInPackageViewAction, SortMembersAction, SurroundWithTryCatchAction, UseSupertypeAction

public abstract class SelectionDispatchAction
extends Action
implements ISelectionChangedListener

Action that dispatches the `IAction#run()` and the `ISelectionChangedListener#selectionChanged` according to the type of the selection.

- if selection is of type `ITextSelection` then `run(ITextSelection)` and `selectionChanged(ITextSelection)` is called.
- if selection is of type `IStructuredSelection` then `run(IStructuredSelection)` and `selectionChanged(IStructuredSelection)` is called.
- default is to call `run(ISelection)` and `selectionChanged(ISelection)`.

Note: This class is not intended to be subclassed outside the JDT UI plugin.

Since:
  2.0

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`protected` | `SelectionDispatchAction(IWorkbenchSite site)` Creates a new action with no text and no image.

Method Summary
`ISelection` | `getSelection()` Returns the selection provided by the site owning this action.
`ISelectionProvider` | `getSelectionProvider()` Returns the selection provider managed by the site owning this action.
`Shell` | `getShell()` Returns the shell provided by the site owning this action.
`IWorkbenchSite` | `getSite()` Returns the site owning this action.
`void` | `run()`
`void` | `run(ISelection selection)` Executes this actions with the given selection.
`void` | `run(IStructuredSelection selection)` Executes this actions with the given structured selection.
`void` | `run(ITextSelection selection)` Executes this actions with the given text selection.
`void` | `run(org.eclipse.jdt.internal.ui.javaeditor.JavaTextSelection selection)` Note: This method is for internal use only.
`void` | `selectionChanged(ISelection selection)` Notifies this action that the given selection has changed.
`void` | `selectionChanged(IStructuredSelection selection)` Notifies this action that the given structured selection has changed.
`void` | `selectionChanged(ITextSelection selection)` Notifies this action that the given text selection has changed.
`void` | `selectionChanged(org.eclipse.jdt.internal.ui.javaeditor.JavaTextSelection selection)` Note: This method is for internal use only.
`void` | `selectionChanged(SelectionChangedEvent event)`
`void` | `update(ISelection selection)` Updates the action's enablement state according to the given selection.

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectionDispatchAction

    protected SelectionDispatchAction(IWorkbenchSite site)

  Creates a new action with no text and no image.

  Configure the action later using the set methods.

Parameters:
  `site` - the site this action is working on

Method Detail

### getSite

    public IWorkbenchSite getSite()

  Returns the site owning this action.

  Returns:
    the site owning this action

### getSelection

    public ISelection getSelection()

  Returns the selection provided by the site owning this action.

  Returns:
    the site's selection

### getShell

    public Shell getShell()

  Returns the shell provided by the site owning this action.

  Returns:
    the site's shell

### getSelectionProvider

    public ISelectionProvider getSelectionProvider()

  Returns the selection provider managed by the site owning this action.

  Returns:
    the site's selection provider

### update

    public void update(ISelection selection)

  Updates the action's enablement state according to the given selection. This default implementation calls one of the `selectionChanged` methods depending on the type of the passed selection.

  Parameters:
    `selection` - the selection this action is working on

### selectionChanged

    public void selectionChanged(IStructuredSelection selection)

  Notifies this action that the given structured selection has changed. This default implementation calls `selectionChanged(ISelection selection)`.

  Parameters:
    `selection` - the new selection

### run

    public void run(IStructuredSelection selection)

  Executes this actions with the given structured selection. This default implementation calls `run(ISelection selection)`.

### selectionChanged

    public void selectionChanged(org.eclipse.jdt.internal.ui.javaeditor.JavaTextSelection selection)

  Note: This method is for internal use only. Clients should not call this method.

### run

    public void run(org.eclipse.jdt.internal.ui.javaeditor.JavaTextSelection selection)

  Note: This method is for internal use only. Clients should not call this method.

### selectionChanged

    public void selectionChanged(ITextSelection selection)

  Notifies this action that the given text selection has changed. This default implementation calls `selectionChanged(ISelection selection)`.

  Parameters:
    `selection` - the new selection

### run

    public void run(ITextSelection selection)

  Executes this actions with the given text selection. This default implementation calls `run(ISelection selection)`.

### selectionChanged

    public void selectionChanged(ISelection selection)

  Notifies this action that the given selection has changed. This default implementation sets the action's enablement state to `false`.

  Parameters:
    `selection` - the new selection

### run

    public void run(ISelection selection)

  Executes this actions with the given selection. This default implementation does nothing.

### run

    public void run()

  Specified by:
    `run` in interface `IAction`

### selectionChanged

    public void selectionChanged(SelectionChangedEvent event)

  Specified by:
    `selectionChanged` in interface `ISelectionChangedListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.